"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.codeGeneratorQuickPick = void 0;
const vscode = require("vscode");
function codeGeneratorQuickPickLogic() {
    const textEditor = vscode.window.activeTextEditor;
    if (!textEditor) {
        return undefined;
    }
    let thenable = vscode.window.showQuickPick([
        {
            label: "Class name",
            detail: "Segments Minus One (Object || Array)",
            output: "%ClassName%"
        }, {
            label: "Class name (Camel-Cased)",
            detail: "Segments Minus One (Object || Array)",
            output: "%ClassNameCamelCased%"
        }, {
            label: "Name",
            detail: "Segments Last only name (no path)",
            output: "%Name%"
        }, {
            label: "Name (Camel-Cased)",
            detail: "Segments Last only name (no path)",
            output: "%NameCamelCased%"
        }, {
            label: "Name (Camel-Cased and Plural)",
            detail: "Segments Last only name (no path)",
            output: "%NameCamelCasedPlural%"
        }, {
            label: "Name (Plural)",
            detail: "Segments Last only name (no path)",
            output: "%NamePlural%"
        }, {
            label: "Name (Humanized)",
            detail: "Segments Last only name (no path)",
            output: "%NameHumanized%"
        }, {
            label: "Namespace",
            detail: "Namespace",
            output: "%namespace%"
        }, {
            label: "Suggested Type",
            detail: "Type based on values in *.json file",
            output: "%SuggestedType%"
        }, {
            label: "Type",
            detail: "Segments Minus One (!Object && !Array)",
            output: "%Type%"
        }, {
            label: "Type (Camel-Cased)",
            detail: "Segments Minus One (!Object && !Array)",
            output: "%TypeCamelCased%"
        }, {
            label: "TypeSkipOne",
            detail: "Segments Minus One (!Object && !Array)",
            output: "%TypeSkipOne%"
        }, {
            label: "TypeSkipOne (Camel-Cased)",
            detail: "Segments Minus One (!Object && !Array)",
            output: "%TypeSkipOneCamelCased%"
        }, {
            label: "TypeSkipOne (Humanized)",
            detail: "Segments Minus One (!Object && !Array)",
            output: "%TypeSkipOneHumanized%"
        }, {
            label: "TypeSkipOne (Humanized) *Collection",
            detail: "Segments Minus One (!Object && !Array)",
            output: "%TypeSkipOneHumanizedCollection%"
        }
    ]).then(item => {
        if (!item) {
            return;
        }
        const selection = textEditor.selection;
        return textEditor.edit(editBuilder => {
            var range;
            if (selection.isEmpty) {
                editBuilder.insert(selection.start, item.output);
            }
            else {
                range = new vscode.Range(selection.start.line, selection.start.character, selection.end.line, selection.end.character);
                editBuilder.replace(range, item.output);
            }
        });
    });
    return undefined;
}
exports.codeGeneratorQuickPick = () => codeGeneratorQuickPickLogic();
//# sourceMappingURL=promiseLinesHelper.js.map